Bug 16489 - ES code incorrectly refers to Moose
Summary: ES code incorrectly refers to Moose
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Target Milestone: ---
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12478
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-10 13:58 UTC by Tomás Cohen Arazi
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16489: ES code incorrectly refers to Moose (1.92 KB, patch)
2016-05-10 14:03 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16489: ES code incorrectly refers to Moose (1.98 KB, patch)
2016-05-10 14:15 UTC, Jacek Ablewicz
Details | Diff | Splinter Review
Bug 16489: ES code incorrectly refers to Moose (2.05 KB, patch)
2016-05-10 15:39 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-05-10 13:58:29 UTC
To reproduce:
- Run:
  $ git grep Moose
=> FAIL: There are unneeded references to Moose:
Koha/SearchEngine/Zebra/QueryBuilder.pm:use Moose::Role;
Koha/SearchEngine/Zebra/Search.pm:#use Moose::Role;
Comment 1 Tomás Cohen Arazi 2016-05-10 14:03:28 UTC Comment hidden (obsolete)
Comment 2 Jacek Ablewicz 2016-05-10 14:15:58 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-05-10 15:39:45 UTC
Created attachment 51388 [details] [review]
Bug 16489: ES code incorrectly refers to Moose

Probably a leftover from the original SolR code, there are unused references to Moose in the new Elasticsearch code.

To test:
- Run:
  $ git grep Moose
=> FAIL: There are unneeded references to Moose:
Koha/SearchEngine/Zebra/QueryBuilder.pm:use Moose::Role;
Koha/SearchEngine/Zebra/Search.pm:#use Moose::Role;
- Apply the patch
- Run:
  $ git grep Moose
=> SUCCESS: No references to Moose
- Run:
  $ prove t/Search* t/db_dependent/Search*
=> SUCCESS: Tests pass
- Sign off

Signed-off-by: Jacek Ablewicz <abl@biblos.pk.edu.pl>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jesse Weaver 2016-05-12 22:04:33 UTC
Pushed for inclusion in 16.05, to be released in May 2015. Thanks for your work!
Comment 5 Jesse Weaver 2016-05-12 22:15:56 UTC
May 2016, rather...
Comment 6 Julian Maurice 2016-05-16 09:39:16 UTC
Not needed in stable versions, status changed to RESOLVED